%define libgtop_ver 2.12.0
%define hal_ver 0.5.2

Name:    libipoddevice
Version: 0.4.1
Release: 2%{dist}
Summary: Device-specific layer for the Apple iPod

Group:   Development/Libraries
License: LGPL
URL:     http://banshee-project.org/Subprojects/Libipoddevice
Source0: http://banshee-project.org/files/banshee/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: hal-devel >= %{hal_ver}
BuildRequires: libgtop2-devel >= %{libgtop_ver}
BuildRequires: udev

%description
libipoddevice is a device-specific layer for the Apple iPod
(http://www.apple.com/ipod). libipoddevice provides iPod-specific
HAL event notification to applications, and along with objects
representing an iPod, which gives the application access to
properties and features of an iPod.

%package devel
Summary: Libraries and headers for using libipoddevice
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: hal-devel >= %{hal_ver}
Requires: libgtop2-devel >= %{libgtop_ver}
Requires: udev

%description devel
This package contains various headers for using libipoddevice

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
%{__rm} -rf $RPM_BUILD_ROOT
%makeinstall

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING
%{_bindir}/ipod
%{_libdir}/libipoddevice.so.*

%files devel
%{_libdir}/libipoddevice.so
%{_libdir}/pkgconfig/ipoddevice.pc
%{_includedir}/ipoddevice/ipod-device.h
%{_includedir}/ipoddevice/ipod-device-event-listener.h
%exclude %{_libdir}/libipoddevice.a
%exclude %{_libdir}/libipoddevice.la


%changelog
* Sat Dec 22 2007 Eddy Nigg <eddy_nigg@startcom.org>
- Rebuild for StartCom Linux 5.0.x

* Mon Mar 27 2006 Eddy Nigg <eddy_nigg@startcom.org>
- rebuild and update for StartCom Linux 5.0.x

* Tue Feb 21 2006 Christopher Aillon <caillon@redhat.com> 0.4.1-1
- Initial RPM
